Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class PreloaderEPS

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
          org.apache.xmlgraphics.image.loader.impl.PreloaderEPS

All Implemented Interfaces:
  ImagePreloader

    public class PreloaderEPS

extends AbstractImagePreloader

Image preloader for EPS images (Encapsulated PostScript).

Nested Class Summary
`static class` | `PreloaderEPS.EPSBinaryFileHeader` Holder class for various pointers to the contents of the EPS file.

Field Summary
`static Object` | `EPS_BINARY_HEADER` Key for binary header object used in custom objects of the ImageInfo class.
`static Object` | `EPS_BOUNDING_BOX` Key for bounding box used in custom objects of the ImageInfo class.

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader
`DEFAULT_PRIORITY`

Constructor Summary
`PreloaderEPS()`

Method Summary
`ImageInfo` | `preloadImage(String uri, Source src, ImageContext context)` "Preloads" an image, i.e.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
`getHeader, getPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPS_BINARY_HEADER

    public static final Object EPS_BINARY_HEADER

  Key for binary header object used in custom objects of the ImageInfo class.

### EPS_BOUNDING_BOX

    public static final Object EPS_BOUNDING_BOX

  Key for bounding box used in custom objects of the ImageInfo class.

Constructor Detail

### PreloaderEPS

    public PreloaderEPS()

Method Detail

### preloadImage

    public ImageInfo preloadImage(String uri,
                                  Source src,
                                  ImageContext context)
                           throws IOException

  "Preloads" an image, i.e. indentifies whether the source image is supported by this implementation and determines the image's intrinsic size and possibly some additional information. The image is usually not fully loaded at this time to conserve memory. The method returns null if the image was not identified. An `ImageException` is only thrown if the image is identified but some error has happened while working on the file.

  Parameters:
    `uri` - the original (unresolved) URI of the image
    `src` - a image source the image is loaded from
    `context` - the context object that provides configuration information
  Returns:
    an image info object with the basic information about an image or null if the image is not supported by this implementation
  Throws:
    `IOException` - if an I/O error occurs while preloading the image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.